Bug 252657 - net-p2p/qbittorrent: update to 4.3.2
Summary: net-p2p/qbittorrent: update to 4.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on: 252656
Blocks:
  Show dependency treegraph
 
Reported: 2021-01-14 04:10 UTC by Dima Panov
Modified: 2021-01-29 01:33 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments
net-p2p/qbittorrent: update to 4.3.2 (946 bytes, patch)
2021-01-14 04:10 UTC, Dima Panov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Panov freebsd_committer 2021-01-14 04:10:40 UTC
Created attachment 221551 [details]
net-p2p/qbittorrent: update to 4.3.2

Changelog: https://www.qbittorrent.org/news.php
Comment 1 Yuri Victorovich freebsd_committer 2021-01-14 04:13:54 UTC
Thanks for the patch.

I have this update pending. However, libtorrent-rasterbar has 2.x now, but its python binding doesn't build because it is broken upstream.

The upstream has fixed this in a branch. Now we are waiting form the release.


Yuri
Comment 2 Dima Panov freebsd_committer 2021-01-14 04:44:28 UTC
libtorrent-rasterbar v2 have significant API changes, so good to update as is for now while new releases are cooking :)
Comment 3 daniel.engberg.lists 2021-01-18 09:55:43 UTC
libtorrent-rasterbar 2.0 support is still WIP from what I can tell from upstream and 1.2 is still the recommended version
https://www.qbittorrent.org/download.php
Comment 4 Yuri Victorovich freebsd_committer 2021-01-29 01:33:03 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2021-01-29 01:33:32 UTC
A commit references this bug:

Author: yuri
Date: Fri Jan 29 01:32:52 UTC 2021
New revision: 563169
URL: https://svnweb.freebsd.org/changeset/ports/563169

Log:
  net-p2p/qbittorrent: Update 4.3.1 -> 4.3.3

  Changelog: https://www.qbittorrent.org/news.php

  PR:		252657
  Submitted by:	fluffy

Changes:
  head/net-p2p/qbittorrent/Makefile
  head/net-p2p/qbittorrent/distinfo